Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.rules.sdk.editor.datamodel
Class FormalParameter

`java.lang.Object
java.util.AbstractMap
java.util.HashMap
oracle.rules.sdk.editor.datamodel.ModelComponent
oracle.rules.sdk.editor.datamodel.FormalParameter`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, java.io.Serializable

public class FormalParameter
extends ModelComponent

Formal Parameter in a function

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `PROP_TYPE`

Fields inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`m_dm, m_parent, PROP_ALIAS, PROP_ID, PROP_NAME, PROP_PROPERTIES, PROP_VISIBLE`

Method Summary
`java.lang.Object` | `get(java.lang.Object key)` Overwrite hashtable get method.
`java.lang.String` | `getType()` Get alias of the parameter type
`java.lang.String` | `getTypeID()`
`java.lang.String[]` | `getTypeOptions()` Get parameter type options.
`int` | `getTypeSelected()` Get the index of the selected value for the property type options.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Overwrite hashtable put method.
`void` | `setType(java.lang.String typeAlias)` Set type of the parameter
`void` | `validate()` valid the model component

Methods inherited from class oracle.rules.sdk.editor.datamodel.ModelComponent
`getAlias, getDataModel, getID, getName, getParent, getProperties, getVisible, setAlias, setName, setVisible`

Methods inherited from class java.util.HashMap
`clear, clone, containsKey, containsValue, entrySet, isEmpty, keySet, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Field Detail

### PROP_TYPE

    public static final java.lang.String PROP_TYPE

  See Also:
    Constant Field Values

Method Detail

### getType

    public java.lang.String getType()

  Get alias of the parameter type
  Returns:
    return alias of the parameter type

### getTypeID

    public java.lang.String getTypeID()

### setType

    public void setType(java.lang.String typeAlias)

  Set type of the parameter
  Parameters:
    `typeAlias` - the alias of the parameter type

### getTypeOptions

    public java.lang.String[] getTypeOptions()

  Get parameter type options.
  Returns:
    the list of fact type alias includeing primitive, RL and Java Fact types, but excluding void.

### getTypeSelected

    public int getTypeSelected()

  Get the index of the selected value for the property type options.
  Returns:
    the index of the selected value for the type choice list

### validate

    public void validate()
                  throws RulesSDKDMValidationException

  Description copied from class: `ModelComponent`
  valid the model component
  Overrides:
    `validate` in class `ModelComponent`
  Throws:
    `RulesSDKDMValidationException`

### get

    public java.lang.Object get(java.lang.Object key)

  Overwrite hashtable get method. For property "Type", "Type_Selected", Type_Options we don't return the hashtable entry directly. Instead, we compute them dynamically.
  Specified by:
    `get` in interface `java.util.Map`
  Overrides:
    `get` in class `ModelComponent`
  Parameters:
    `key` - a String containing the property name to be fetched.
  Returns:
    the value corresponding to the key

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Overwrite hashtable put method. For property "type" we don't put the value (alias) directly. We get id of the type from alias, then put it into the table.
  Parameters:
    `key` - a String containing the property name to be saved.
    `value` - a String corresponding to the key to be saved

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Business Rules Java API Reference 10g Release 3 (10.1.3) B19040-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006, Oracle. All rights reserved.